#include <avr/io.h>
#include "peri.h"
#define SWITCH_1 PB1
#define SWITCH_2 PB5
#define SWITCH_3 PB0
#define SWITCH_4 PB3
#define SWITCH_5 PB2
#define RED1    PC1
#define RED2    PC3
#define GREEN   PC5
#define Ldr_RED1    PC4
#define Ldr_RED2    PC0
#define Ldr_GREEN   PC2
void init_peripheral(){
DDRB&=~(1<<SWITCH_1)&~(1<<SWITCH_2)&~(1<<SWITCH_3)&~(1<<SWITCH_4)&~(1<<SWITCH_5);
PORTB|=(1<<SWITCH_1)|(1<<SWITCH_2)|(1<<SWITCH_3)|(1<<SWITCH_4)|(1<<SWITCH_5);
DDRC|=(1<<RED1)|(1<<RED2)|(1<<GREEN);
DDRC&=~(1<<Ldr_RED1)&~(1<<Ldr_RED2)&~(1<<Ldr_GREEN);
PORTC&=~(1<<RED1)&~(1<<RED2)&~(1<<GREEN)&~(1<<Ldr_RED1)&~(1<<Ldr_RED2)&~(1<<Ldr_GREEN);
}


uint16_t read_adc(uint8_t channel)
{
ADMUX = (0<<REFS1)|(1<<REFS0) // ระบุให้ใช้ VCC เป็ นแรงดันอ้างอิง (Vref) และ
| (0<<ADLAR) // บันทึกผลลัพธ์ชิดขวาในคู่รีจีสเตอร์ADCH/ADCL
| (channel & 0b1111); // ตั้งค่า MUX เป็ นค่า channel
ADCSRA = (1<<ADEN) // เปิ ดวงจร ADC
| (1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0) // ใช้ความเร็ว 1/128 ของคล็อกระบบ
| (1<<ADSC); // สั่งวงจร ADC ให้เริ่มต้นการแปลง
while ((ADCSRA & (1<<ADSC))) // รอจนบิต ADSC กลายเป็ น 0 ซึ่งหมายถึงการแปลงเสร็จสิ้ น
;
return ADCL + ADCH*256; // ผลลัพธ์ถูกเก็บอยู่ในรีจีสเตอร์ADCL และ ADCH
// สามารถใช้ return ADC ได้เช่นกัน
}

void set_led(uint8_t pin, uint8_t state){
if(state==0){
   PORTC&=~(1<<pin);
}
else 
PORTC|=(1<<pin);
}
